Skip to main content
POST
/
streams
/
evm
/
{id}
/
status
Update stream status
curl --request POST \
  --url https://api.moralis-streams.com/streams/evm/{id}/status \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{
  "status": {}
}'
{
  "webhookUrl": "<string>",
  "description": "<string>",
  "chainIds": [
    "<string>"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": {},
  "statusMessage": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "amountOfAddresses": 123,
  "tag": "<string>",
  "topic0": [
    "<string>"
  ],
  "allAddresses": true,
  "includeNativeTxs": true,
  "includeContractLogs": true,
  "includeInternalTxs": true,
  "includeAllTxLogs": true,
  "getNativeBalances": [
    {
      "selectors": [
        "<string>"
      ],
      "type": "tx"
    }
  ],
  "abi": null,
  "advancedOptions": null,
  "filterPossibleSpamAddresses": true,
  "demo": true,
  "triggers": [
    {
      "type": "tx",
      "contractAddress": "<string>",
      "functionAbi": {},
      "inputs": [
        "<string>"
      ],
      "topic0": "<string>",
      "callFrom": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

The id of the stream to update Stringified UUIDv4. See RFC 4112

Body

application/json

Provide a Stream Model

Provide a Stream Model

status
enum<string>
required

The status of the stream.

Available options:
active,
paused,
error,
terminated
Example:
{}

Response

200 - application/json

Ok

webhookUrl
string
required

Webhook URL where moralis will send the POST request.

description
string
required

A description for this stream

chainIds
string[]
required

The ids of the chains for this stream in hex Ex: ["0x1","0x38"]

id
string<uuid>
required

The unique uuid of the stream

status
enum<string>
required

The status of the stream.

Available options:
active,
paused,
error,
terminated
Example:
{}
statusMessage
string
required

Description of current status of stream.

updatedAt
string<date-time>
required

Last Updated Date.

amountOfAddresses
number<double>
required

Amount of Addresses.

tag
string

A user-provided tag that will be send along the webhook, the user can use this tag to identify the specific stream if multiple streams are present

topic0
string[] | null

An Array of topic0's in string-signature format ex: ['FunctionName(address,uint256)']

allAddresses
boolean

Include events for all addresses (only applied when abi and topic0 is provided)

includeNativeTxs
boolean

Include or not native transactions defaults to false

includeContractLogs
boolean

Include or not logs of contract interactions defaults to false

includeInternalTxs
boolean

Include or not include internal transactions defaults to false

includeAllTxLogs
boolean

Include all logs if atleast one value in tx or log matches stream config

getNativeBalances
object[]

Include native balances for each address in the webhook

abi
unknown
advancedOptions
unknown
filterPossibleSpamAddresses
boolean

Indicator if it is a demo stream

demo
boolean

Filter possible spam addresses

triggers
object[] | null

triggers